Package Details: jpcsp 0.7-1

Git Clone URL: https://aur.archlinux.org/jpcsp.git (read-only)
Package Base: jpcsp
Description: Java PSP Emulator
Upstream URL: http://jpcsp.org/
Licenses: GPL
Submitter: bug
Maintainer: bug
Last Packager: bug
Votes: 35
Popularity: 0.000388
First Submitted: 2009-09-01 11:07
Last Updated: 2015-06-15 15:29

Latest Comments

rappel commented on 2013-07-29 23:17

They do have now an official 0.7 release in their googlecode page as featured downloads.
https://code.google.com/p/jpcsp/downloads/list

allencch commented on 2012-07-24 03:40

The jpcsp.sh file has a line,
java -Xmx512m -Djava.library.path=/opt/jpcsp/lib/linux-amd64 -jar "/opt/jpcsp/bin/jpcsp.jar"
as a result, the validation of the file failed on i686 architecture.

Would you please change the line to
java -Xmx512m -Djava.library.path=/opt/jpcsp/lib/linux-ARCH -jar "/opt/jpcsp/bin/jpcsp.jar"

Then, in the PKGBUILD,
change the md5sum part to
[ "$CARCH" = "i686" ] && {
md5sums=('cc911bfe236ee015bd2afdf9d607f91c'
'44a680a4797eec6394cf131010ca23c1'
'cd39aad03798576eb5228ed4184885c8')
sed -i 's/ARCH/x86/g' jpcsp.sh
}
[ "$CARCH" = "x86_64" ] && {
_pkgarch='amd64'
md5sums=('9de05a97eb43f7a639967d93b318e420'
'5920b514ad044430d8f71243ac2e2e63'
'cd39aad03798576eb5228ed4184885c8')

sed -i 's/ARCH/amd64/g' jpcsp.sh
}
So that any architecture can work properly.

Besides that, can you change the dependency of "jre7-openjdk" to "java-runtime"? So that even jre6 can work also.

Thank you.

bug commented on 2012-04-02 20:03

To whom who may concern:
The latest `stable` version of jpcsp is 0.6. They do publish SVN snapshots on the site [With really annoying download location - depositfiles].

In other words, please don't mark it as out-of-date for no reason.

Thank you,

On another note. If you want the SVN build. I've made a package for it.
https://aur.archlinux.org/packages.php?ID=58152

bug commented on 2012-04-02 12:27

To whom who may concern:
The latest `stable` version of jpcsp is 0.6. They do publish SVN snapshots on the site [With really annoying download location - depositfiles].

In other words, please don't mark it as out-of-date for no reason.

Thank you,

Cravix commented on 2012-03-05 11:25

install=('jpcsp.install')
->
install=jpcsp.install

and add jre7-openjdk to deps, or you cannot run it.

rafaelff commented on 2011-06-05 17:46

Strip is failing... Maybe the PKGBUILD should have options=('!strip') ?

$ makepkg -fs
(...)
==> Tidying install...
-> Purging other files...
-> Compressing man and info pages...
-> Stripping unneeded symbols from binaries and libraries...
/usr/bin/strip: Unable to recognise the format of the input file `./opt/jpcsp/demos/minifire.pbp'

Anonymous comment on 2010-10-04 11:31

the jpcsp executable script still points to the x86 library-path as opposed to the arch-specific one.

bug commented on 2010-10-04 07:04

Fixed, now it should download the file based on the system.

Anonymous comment on 2010-10-03 14:59

There is a real difference: the binaries within lib/linux-x86 of the x86 package are 32-bit, and 64-bit within the x86-64 package. The 64-bit JVM does't like 32-bit binaries, so an error was spat out upon initialization of the program. I hacked together a 64-bit-compatible version of the PKGBUILD and the error subsided. On neither version have I tried running a ROM yet, however.

bug commented on 2010-09-24 07:26

After a minor check it seems there is no real difference between the 2 versions. So please, if you do find a real difference, let me know [Just like there is no real difference between the Windows and Linux versions].

Anonymous comment on 2010-09-24 00:01

Please add support for the x86-64 binary.

vEX commented on 2010-09-19 08:05

JPCSP v0.6 released!
[ Posted by Hykem on 2010-09-18 15:06:30 ]
At last, a new official release. A lot of improvements have been done in both emulation speed and accuracy.
Be sure to check the README for the full changelog.

bug commented on 2010-08-31 21:27

If anyone could find an icon for the menu item, please notify me.

Compintuit commented on 2010-08-19 21:26

Please add a .desktop file to automatically add it to our menus.